Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Forzar Instalacion o Actualización
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Spanish
View previous topic :: View next topic  
Author Message
malariax
n00b
n00b


Joined: 18 Oct 2012
Posts: 31

PostPosted: Sun Aug 18, 2013 2:15 am    Post subject: Forzar Instalacion o Actualización Reply with quote

Cuando trato de actualizar un paquete como el gnome, después de haber estado largo tiempo sin actualizar, me salen por pantalla diversos tipos de conflictos. Me gustaría saber si hay alguna manera de forzar la instalación de nuevos paquetes "a lo bruto", sin tener que ir resolviendo los diversos problemas uno a uno. Gracias
Back to top
View user's profile Send private message
esteban_conde
Veteran
Veteran


Joined: 04 Jun 2003
Posts: 1514

PostPosted: Sun Aug 18, 2013 10:27 am    Post subject: Reply with quote

Respuesta corta "NO" para ver un poco los porques al lado de este hay un post titulado ¿A alguien se le ha roto gentoo?, pero claro esta distro pide bastante dedicación, como todo lo que merece la pena.
_________________
Saludos a tod@s, Esteban.
Back to top
View user's profile Send private message
malariax
n00b
n00b


Joined: 18 Oct 2012
Posts: 31

PostPosted: Sun Aug 18, 2013 4:01 pm    Post subject: Reply with quote

Gracias, me lo imaginaba, porque no encontré ninguna opción para emerge que haga algo parecido. Yo en estos caso lo que hago es desinstalar los paquetes uno por uno y volver a instalar la versión más moderna del paquete, tratando de tener cuidado con lo que elimino. La verdad es que cuando la compilación empieza a arrojar errores la instalación de programas se llega a volver muy dura.
Back to top
View user's profile Send private message
esteban_conde
Veteran
Veteran


Joined: 04 Jun 2003
Posts: 1514

PostPosted: Mon Aug 19, 2013 7:38 am    Post subject: Reply with quote

Cuando algun paquete no se puede instalar en el mesaje de manera bastante precisa te indica lo que debes hacer, sea una use una mascara, sea lo que sea, ahora bién desinstalar un paquete no suele ser la solución y si lo haces guardate la espalda "quickpkg --include-config=y nombre-paquete" te guarda el paquete, de todas formas antes de desinstalar te dice lo que deberias hacer antes de eliminar un archivo que tenga dependencias.
Es cuestion de leer manuales para que te suene al menos donde están las posibles soluciones y sobre todo los foros.
_________________
Saludos a tod@s, Esteban.
Back to top
View user's profile Send private message
gringo
Advocate
Advocate


Joined: 27 Apr 2003
Posts: 3737

PostPosted: Mon Aug 19, 2013 9:45 am    Post subject: Reply with quote

cuidado con la actualización de gnome en caso de que sea la 3.8 : uno de los nuevos requisitos es que en vez de usar openrc vas a tener que instalar systemd.
si no lo tienes claro enmascara gnome-3.8 y lee un poco antes de ponerte a ello.

saluetes
Back to top
View user's profile Send private message
malariax
n00b
n00b


Joined: 18 Oct 2012
Posts: 31

PostPosted: Mon Aug 19, 2013 2:49 pm    Post subject: Reply with quote

Precisamente ese fue mi problema, quería probar a actualizar a la última versión de gnome, pero me surgían multitud de problemas con paquetes desactualizados. Aún sabiendo que podía dañar el sistema, he ido desinstalando todos los paquetes obsoletos para posteriormente ir actualizando, como ya he dicho antes.
Back to top
View user's profile Send private message
malariax
n00b
n00b


Joined: 18 Oct 2012
Posts: 31

PostPosted: Mon Aug 26, 2013 7:34 pm    Post subject: Reply with quote

A la hora de instalar paquetes que se encuentran en conflicto, he visto que a veces mencionan el uso del siguiente modificador "--backtrack=". ¿Alguien sabe que implica el uso de este modificador y como funciona a la hora de arreglar los conflictos entre paquetes?
Back to top
View user's profile Send private message
i92guboj
Moderator
Moderator


Joined: 30 Nov 2004
Posts: 9849
Location: Córdoba (Spain)

PostPosted: Thu Aug 29, 2013 7:02 pm    Post subject: Reply with quote

Backtrack "retrocede" en el arbol de dependencias más de lo que portage normalmente haría, e intenta solucionar el conflicto probando a ver "que pasaría" si instalase la versión requerida de la dependencia en cuestión. Eso puede aumentar el tiempo de computación sobremanera, incluso en varios órdenes de magnitud si se pone un valor muy alto.

Aún así, hay casos (la mayoría, diría yo) que no se arreglan usando backtrack y requieren supervisión humana para solucionarse. Con todo, la situación ha mejorado mucho. Hoy día, portage resuelve la mayoría de conflictos él solito. Antiguamente el proceso era bastante más tedioso jejeje, que tiempos aquellos! :P

De todas formas, una recomendación (perdón si digo algo obvio, pero no he leído el hilo completo): si usas la rama estable tendrás muchas menos actualizaciones. Claro que en contrapartida, tardarás más en poder usar la última versión de tu escritorio favorito.
_________________
Gentoo Handbook | My website
Back to top
View user's profile Send private message
malariax
n00b
n00b


Joined: 18 Oct 2012
Posts: 31

PostPosted: Sat Aug 31, 2013 7:56 am    Post subject: Reply with quote

Gracias por vuestra ayuda. Ahora ya voy teniendo más claro lo que debo hacer a la hora de realizar actualizaciones "críticas" :P. Es cierto que la rama estable da menos problemas, pero es que a mi me gusta experimentar con determinadas versiones experimentales de determinados paquetes.
Back to top
View user's profile Send private message
agdg
Guru
Guru


Joined: 15 Aug 2010
Posts: 320

PostPosted: Sat Aug 31, 2013 10:19 pm    Post subject: Reply with quote

malariax wrote:
Es cierto que la rama estable da menos problemas, pero es que a mi me gusta experimentar con determinadas versiones experimentales de determinados paquetes.


Para eso esta package.keywords y package.unmask.
_________________
make install . es
Noticias, apuntes y pequeños tutoriales sobre GNU/Linux
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Spanish All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum